/*
 * Copyright (C) 2021 Patrick Goldinger
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package dev.patrickgold.florisboard.ime.theme

object FlorisImeUi {
    const val Keyboard = "keyboard"
    const val Key = "key"
    const val KeyHint = "key-hint"
    const val KeyPopup = "key-popup"

    const val ClipboardHeader = "clipboard-header"
    const val ClipboardItem = "clipboard-item"
    const val ClipboardItemPopup = "clipboard-item-popup"
    const val ClipboardEnableHistoryButton = "clipboard-enable-history-button"

    const val EmojiKey = "emoji-key"
    const val EmojiKeyPopup = "emoji-key-popup"
    const val EmojiTab = "emoji-tab"

    const val ExtractedLandscapeInputLayout = "extracted-landscape-input-layout"
    const val ExtractedLandscapeInputField = "extracted-landscape-input-field"
    const val ExtractedLandscapeInputAction = "extracted-landscape-input-action"

    const val GlideTrail = "glide-trail"

    const val IncognitoModeIndicator = "incognito-mode-indicator"

    const val OneHandedPanel = "one-handed-panel"

    const val Smartbar = "smartbar"
    const val SmartbarSharedActionsRow = "smartbar-shared-actions-row"
    const val SmartbarSharedActionsToggle = "smartbar-shared-actions-toggle"
    const val SmartbarExtendedActionsRow = "smartbar-extended-actions-row"
    const val SmartbarExtendedActionsToggle = "smartbar-extended-actions-toggle"
    const val SmartbarActionKey = "smartbar-action-key"
    const val SmartbarActionTile = "smartbar-action-tile"
    const val SmartbarActionsOverflow = "smartbar-actions-overflow"
    const val SmartbarActionsOverflowCustomizeButton = "smartbar-actions-overflow-customize-button"
    const val SmartbarActionsEditor = "smartbar-actions-editor"
    const val SmartbarActionsEditorHeader = "smartbar-actions-editor-header"
    const val SmartbarActionsEditorSubheader = "smartbar-actions-editor-subheader"
    const val SmartbarCandidatesRow = "smartbar-candidates-row"
    const val SmartbarCandidateWord = "smartbar-candidate-word"
    const val SmartbarCandidateClip = "smartbar-candidate-clip"
    const val SmartbarCandidateSpacer = "smartbar-candidate-spacer"

    const val SystemNavBar = "system-nav-bar"
}
